Author Topic: JOIN-BUG  (Read 2021 times)

0 Members and 1 Guest are viewing this topic.

Augusto

  • Newt
  • Posts: 56
Re: JOIN-BUG
« Reply #15 on: April 07, 2020, 07:46:05 AM »
BTW... Is this happening with JOIN also in A2019, A2020, A2021?

Hello Ribarm!

Using your last modification I had no problems.
The code worked perfectly in autoCAD 2020 x64.


In case you need more tests, I will be available.

Regards, Augusto.
« Last Edit: April 07, 2020, 09:06:16 AM by Augusto »

ribarm

  • Gator
  • Posts: 2527
  • Marko Ribar, architect
Re: JOIN-BUG
« Reply #16 on: April 07, 2020, 07:48:41 AM »
So bug with JOIN command exist still in A2020?
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube

Augusto

  • Newt
  • Posts: 56
Re: JOIN-BUG
« Reply #17 on: April 07, 2020, 09:04:07 AM »
I'm sorry, Ribarm.
I hadn't read the main question in your post.  :oops:

Unfortunately, some items have been converted to AcDbPolyline and not to an AcDb3dPolyline, as desired.

Code: [Select]

(entget(car(entsel)))

((-1 . <Entity name: 28dec660>)
  (0 . "LWPOLYLINE")
  (330 . <Entity name: 28de91f0>)
  (5 . "29E")
  (100 . "AcDbEntity")
  (67 . 0)
  (410 . "Model")
  (8 . "0")
  (100 . "AcDbPolyline")
  (90 . 4)
  (70 . 128)
  (43 . 0.0)
  (38 . 0.0)
  (39 . 0.0)
  (10 30.2876 8.91506)
  (40 . 0.0)
  (41 . 0.0)
  (42 . 0.0)
  (91 . 0)
  (10 30.2876 3.3082)
  (40 . 0.0)
  (41 . 0.0)
  (42 . 0.0)
  (91 . 0)
  (10 37.9326 3.3082)
  (40 . 0.0)
  (41 . 0.0)
  (42 . 0.0)
  (91 . 0)
  (10 37.9326 -0.932329)
  (40 . 0.0)
  (41 . 0.0)
  (42 . 0.0)
  (91 . 0)
  (210 0.0 0.0 1.0)
)


ribarm

  • Gator
  • Posts: 2527
  • Marko Ribar, architect
Re: JOIN-BUG
« Reply #18 on: April 07, 2020, 09:21:57 AM »
Augusto, when you use JOIN command inside A2020 on my firstly posted DWG, does CAD disrupt geometry - change 3D LINES to 2D and then joins them to LWPOLYLINE, or nothing happens to 3D LINES and conversion is fine -> LWPOLYLINE but in 3D?
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube

Augusto

  • Newt
  • Posts: 56
Re: JOIN-BUG
« Reply #19 on: April 07, 2020, 04:51:08 PM »
Sorry for the delay.
Change 3D LINES to 2D and then joins them to LWPOLYLINE.